complexType "ReturnSwap"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 12 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, (buyerPartyReference, buyerAccountReference?, sellerPartyReference, sellerAccountReference?)?, returnSwapLeg+, principalExchangeFeatures?, additionalPayment*, earlyTermination*, extraordinaryEvents?
</...>

Content Model Elements (12):

  additionalPayment (in returnSwap), assetClass, buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), earlyTermination, extraordinaryEvents (in returnSwap), | principalExchangeFeatures, productId (defined in Product.model group), productType (defined in Product.model group), returnSwapLeg, sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group)

All Direct / Indirect Based Elements (1):

  returnSwap

Known Usage Locations

- As direct type of elements (1):
  returnSwap

Annotation
A type describing return swaps including return swaps (long form), total return swaps, and variance swaps.
Type Definition Detail

Type Derivation Tree Product (extension) ReturnSwapBase (extension) ReturnSwap

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ReturnSwap"> <xsd:complexContent> <xsd:extension base="ReturnSwapBase"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ReturnSwapAdditionalPayment"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="earlyTermination" type="ReturnSwapEarlyTermination"/> <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/12)
additionalPayment

  Type: | ReturnSwapAdditionalPayment, complex content

  Specifies additional payment(s) between the principal parties to the trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="additionalPayment" type="ReturnSwapAdditionalPayment"/>

earlyTermination

  Type: | ReturnSwapEarlyTermination, complex content

  Specifies, for one or for both the parties to the trade, the date from which it can early terminate it.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="earlyTermination" type="ReturnSwapEarlyTermination"/>

extraordinaryEvents

  Type: | ExtraordinaryEvents, complex content

  Where the underlying is shares, specifies events affecting the issuer of those shares that may require the terms of the transaction to be adjusted.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="extraordinaryEvents" type="ExtraordinaryEvents"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.